package com.community.huiju.controller;

import com.community.commom.mode.ResponseBean;
import com.community.huiju.model.ToBanner;
import com.community.huiju.service.BannerServiceI;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.util.CollectionUtils;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author weichaochao
 * @Title: BannerController
 * @Description: 首页运营banner入口类
 * @date 2018/10/22
 */
@RestController
@RefreshScope
@RequestMapping("/")
@Api(value = "首页运营banner的API", description = "首页运营banner的API")
public class BannerController {

    @Autowired
    private BannerServiceI bannerService;

    @ApiOperation(value = "首页运营banner接口", notes = "获取首页运营banner")
    @RequestMapping(value = "/banner/{bannerId}", method = RequestMethod.GET)
    @ApiImplicitParams({ @ApiImplicitParam(paramType = "path", dataType = "integer", name = "bannerId", value = "运营banner图Id") })
    public ResponseBean selectToBannerImg(@PathVariable("bannerId")Integer bannerId){
        ResponseBean responseBean = new ResponseBean();
        ToBanner toBannerList = bannerService.viewBannerImg(bannerId);
        responseBean.addSuccess(toBannerList);
        return responseBean;
    }

    @ApiOperation(value = "首页运营所有banner接口", notes = "获取首页所有运营banner")
    @RequestMapping(value = "/banners", method = RequestMethod.GET)
    public ResponseBean selectAllToBannerImg(){
        ResponseBean responseBean = new ResponseBean();
        List<ToBanner> toBannerList = bannerService.viewAllBannerImg();
        responseBean.addSuccess(toBannerList);
        return responseBean;
    }
}
