package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.huiju.model.TpTicket;
import com.community.huiju.model.TpTicketRecordComment;
import com.community.huiju.vo.TpTicketVO;

import java.util.List;

/**
 * 工单业务
 * @author weiximei
 */
public interface ITicketService {

    /**
     * 根据 小区ID 用户ID 类型 查询数据
     * @param tpTicket
     * @param pageCode
     * @param pageSize
     * @return 返回 维修/投诉/联系单 各 pageSize 条
     */
    ResponseBean getList(TpTicket tpTicket,Integer pageCode, Integer pageSize);

    /**
     * 根据 小区ID 用户ID 类型 查询数据
     * @param tpTicket
     * @param pageNum
     * @param pageSize
     * @return 返回 维修/投诉/联系单 记录列表
     */
    ResponseBean getByTypeList(TpTicket tpTicket,Integer pageNum, Integer pageSize);
	
	/**
	 * 获取报修详情
	 * @param communityId
	 * @param ticketId
	 * @return
	 */
	TpTicket getTicketSchedule(String communityId, Integer ticketId);


	/**
	 * 添加报修
	 * @param userId
	 * @param tpTicket
	 * @return
	 */
    ResponseBean addAiTicketService(Integer userId, TpTicket tpTicket);
	
	/**
	 * 回复工单
	 * @param tpTicketRecordComment
	 * @return
	 */
	Integer updateTicketsReply(TpTicketRecordComment tpTicketRecordComment);
}
