package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.huiju.model.*;

import java.util.List;

/**
 * @author weichaochao
 * @Title: SocialServiceI
 * @date 2018/10/23
 */
public interface SocialServiceI {
    TpAnnouncement findAnnouncementDetail(Integer id, Integer communityId);


	/**
	 * 分页获取公告列表
	 * @param communityId
	 * @param title
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	List<TpAnnouncement> getAnnouncements(Integer communityId, String title, Integer pageNum, Integer pageSize);

	/**
	 * 公告轮播图
	 * @param communityId
	 * @return
	 */
	List<TpAnnouncement> getAnnouncement(Integer communityId);
	
	/**
	 * 分页获取活动列表
	 * @param communityId
	 * @param title
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	List<TpActivity> getActivitys(Integer communityId, String title, Integer pageNum, Integer pageSize);
	
	/**
	 * 获取活动帖子详情
	 * @param activityId
	 * @param communityId
	 * @return
	 */
	TpActivity findActivityDetail(Integer activityId, Integer communityId);

	ResponseBean findTaUserInfo(Integer id, Integer communityId);

	/**
	 * 获取二手租赁详情
	 * @param activityId
	 * @param communityId
	 * @return
	 */
	TpTransaction findUsedDetails(Integer activityId, Integer communityId, Integer userId);
	/**
	 * 获取所有的交易帖子
	 * @param communityId
	 * @param type
	 * @return
	 */
	List<TpTransaction> findAllTransaction(Integer communityId, String type, Integer pageNum, Integer paeSize);

	/**
	 * 终止报修
	 * @param communityId
	 * @param ticketId
	 * @return
	 */
	ResponseBean stopTpTicketRecord(Integer communityId, Integer ticketId);

	/**
	 * 添加二手租赁帖子
	 */
    ResponseBean addAllTransaction(Integer userId,  TpTransaction Transaction);

	/**
	 * 获取当前用户所有的帖子
	 * @param userId
	 * @return
	 */
	ResponseBean selectAllTransaction(Integer userId,Integer pageNum,Integer pageSize);

	/**
	 * 修改当前帖子
	 * @param tpTransaction
	 * @param userId
	 * @return
	 */
	ResponseBean updateTransaction(TpTransaction tpTransaction,Integer userId);
	void updateTicketContent(Integer ticketId, TpTicket tpTicket, String type);

	/**
	 * 评价工单以及评分
	 * @param communityId
	 * @param tpTicket
	 * @param ticketId
	 */
	void accessTicket(Integer communityId, TpTicket tpTicket, String ticketId);
}
