package com.community.huiju.service.impl;

import com.community.huiju.dao.TpBillInvoiceMapper;
import com.community.huiju.service.BillServiceI;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @author FXF
 * @date 2018-10-25
 */
@Service("billService")
public class BillServiceImpl implements BillServiceI {
	
	@Autowired
	private TpBillInvoiceMapper tpBillInvoiceMapper;
	
	/**
	 * 根据payType分页获取缴费或未缴费的数据
	 * @param communityId
	 * @param payType
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	@Override
	public List<Map<String, Object>> getBillsList(Integer communityId, Integer payType, Integer pageNum, Integer pageSize) {
		//todo
		Integer userId = 1;
		//使用分页插件
		PageHelper.startPage(pageNum, pageSize);
		List<Map<String,Object>> billsList = tpBillInvoiceMapper.getBillsList(communityId,userId,payType);
		return billsList;
	}
	
	/**
	 * 获取账单的详细信息
	 * @param billInvoiceId
	 * @return
	 */
	@Override
	public Map<String, Object> getBillInvoiceDetail(Integer communityId,Integer billInvoiceId) {
		return tpBillInvoiceMapper.getBillInvoiceDetail(communityId,billInvoiceId);
	}
}
