package com.community.huiju.service.impl;

import com.community.huiju.dao.TpMessageMapper;
import com.community.huiju.model.TpMessage;
import com.community.huiju.service.MessageServiceI;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @author FXF
 * @date 2018-10-22
 */
@Service("messageService")
public class MessageServiceImpl implements MessageServiceI {
	
	@Autowired
	private TpMessageMapper tpMessageMapper;
	
	/**
	 * 获取消息数量
	 * @param communityId
	 * @return
	 */
	@Override
	public Map<String, Object> getMessageTotal(Integer communityId) {
		//todo
		Integer userId = 1;
		return tpMessageMapper.getMessageTotal(userId,communityId);
	}
	
	/**
	 * 分页获取消息或待办
	 * @param communityId
	 * @param pageNum
	 * @param pageSize
	 * @param modelType
	 * @return
	 */
	@Override
	public List<TpMessage> getMessages(Integer communityId, Integer pageNum, Integer pageSize,Integer modelType) {
		//todo
		Integer userId = 1;
		//使用分页插件
		PageHelper.startPage(pageNum, pageSize);
		// 获取数据
		List<TpMessage> messageList = tpMessageMapper.getMessages(userId,communityId, modelType);
		return messageList;
	}

	/**
	 * 消息全部已读
	 */
	@Override
	public void updateMessageReadStatus(Integer communityId) {
		tpMessageMapper.updateReadStatus(communityId);
	}
}
